using System.Text.Json.Serialization;

namespace YandexMusic.API.Models.Account;

public class YPhoneNumber
{
    [JsonPropertyName("masked_e164")]
    public string MaskedE164 { get; set; }

    public string E164 { get; set; }

    public string International { get; set; }

    [JsonPropertyName("masked_original")]
    public string MaskedOriginal { get; set; }

    public string Original { get; set; }

    [JsonPropertyName("masked_international")]
    public string MaskedInternational { get; set; }
}